Plugins Directory » A common libs

12185 Author: RMplus.pro Team
Website: http://rmplus.pro
Code repository: https://bitbucket.org/dkuk/a_common_libs.git
Registered on: 2013-10-30 (about 4 years ago)
Current version: 2.4.0
Compatible with: Redmine 3.4.x, 3.3.x, 3.2.x, 3.1.x, 3.0.x
User ratings:   (10)

Redmine plugin which optionally enables inclusion of common libraries (twitter bootstrap, select2, highcharts, etc.)


For better appearance we recommend to use this plugin with Redmine skin of our team - Redmine Alex Skin

Another plugins of our team you can see on site http://rmplus.pro

Changelog

2.4.0 (2017-10-11)

Compatible with Redmine 3.4.x, 3.3.x, 3.2.x, 3.1.x, 3.0.x.

  • Added: support redmine 3.4
  • Fixed: minor bugs
  • Dropped: support redmine < 3.4, need to use previous versions of the plugin
  • Speedup issues queries with CF multiple users column in list
  • Fixed: loading path order

2.3.3 (2017-07-10)

Compatible with Redmine 3.3.x, 3.2.x, 3.1.x, 3.0.x.

  • Fixed: minor bugs

2.3.1 (2017-05-15)

Compatible with Redmine 3.3.x, 3.2.x, 3.1.x, 3.0.x.

  • Added: refactored redmine custom_fields to speedup (need to be disabled)
  • Fixed: some sql extensions for different databases
  • Fixed: sql extension substring for mysql

2.3.0 (2017-03-20)

Compatible with Redmine 3.3.x, 3.2.x, 3.1.x, 3.0.x, 2.6.x.

  • Added: log for api
  • Added: custom field Percent
  • Added: jqPlot plugins
  • Fixed: ajax_values permissions

2.2.7 (2017-02-02)

Compatible with Redmine 3.3.x, 3.2.x, 3.1.x, 3.0.x, 2.6.x.

  • Fixed: support redmine < 3.0

2.2.6 (2017-01-25)

Compatible with Redmine 3.3.x, 3.2.x, 3.1.x, 3.0.x, 2.6.x.

  • Fixed: support redmine < 3.0

2.2.5 (2017-01-20)

Compatible with Redmine 3.3.x, 3.2.x, 3.1.x, 3.0.x, 2.6.x.

  • Added: Updated FontAwesome

2.2.4 (2016-12-06)

Compatible with Redmine 3.3.x, 3.2.x, 3.1.x, 3.0.x, 2.6.x.

Fixed: detecting favourite project for user without preferences

2.2.3 (2016-11-11)

Compatible with Redmine 3.3.x, 3.2.x, 3.1.x, 3.0.x, 2.6.x.

  • fixed custom field order values for user type
  • new version of DatePicker

2.2.2 (2016-09-20)

Compatible with Redmine 3.3.x, 3.2.x, 3.1.x, 3.0.x, 2.6.x.

  • fixed time queries

2.2.1 (2016-09-13)

Compatible with Redmine 3.3.x, 3.2.x, 3.1.x, 3.0.x, 2.6.x.

  • fixed select2 styles
  • moved RM+ icon for email layout to our server
  • fixed fast-edit links for select2
  • support redmine 3.3.0

2.1.9 (2016-07-08)

Compatible with Redmine 3.2.x, 3.1.x, 3.0.x, 2.6.x.

  • select2 - 4.0.3
  • fixed modal windows

2.1.8 (2016-06-09)

Compatible with Redmine 3.2.x, 3.1.x, 3.0.x, 2.6.x.

2.1.8
  • fixed loading select2_extensions if select2 disabled
  • moved helpers for postgreSQL
  • add periodpicker
  • dependency FontAwasome for luxury_buttons

2.1.0 (2016-02-09)

Compatible with Redmine 3.2.x, 3.1.x, 3.0.x, 2.6.x, 2.5.x.

  • refactored modal windows

2.0.0 (2016-01-14)

Compatible with Redmine 3.2.x, 3.1.x, 3.0.x, 2.6.x, 2.5.x.

  • fixed auto-setting FontAwasome

1.1.8 (2015-12-01)

Compatible with Redmine 3.1.x, 3.0.x, 2.6.x, 2.5.x.

  • fixed auto-settings

1.1.7 (2015-11-11)

Compatible with Redmine 3.1.x, 3.0.x, 2.6.x, 2.5.x.

  • fixed favourite project sql to ansi sql

1.1.6 (2015-10-16)

Compatible with Redmine 3.1.x, 3.0.x, 2.6.x, 2.5.x.

  • added support for information about the license expiration
  • change Highcharts to jqPlot

1.1.5 (2015-09-08)

Compatible with Redmine 3.1.x, 3.0.x, 2.6.x, 2.5.x.

  • added create_guid
  • modified modal_windows

1.1.4 (2015-06-01)

Compatible with Redmine 3.1.x, 3.0.x, 2.6.x, 2.5.x.

  • Fixed bugs
  • Automatic library inclusion

1.1.3 (2015-05-01)

Compatible with Redmine 3.1.x, 3.0.x, 2.6.x, 2.5.x, 2.4.x.

Added:

  • Redmine 3.x support

1.1.1 (2014-11-01)

Compatible with Redmine 2.6.x, 2.5.x, 2.4.x, 2.3.x.

  • Added compatibility with Redmine 2.6.x
  • Added optional inclusion of QuarterMonthPicker library.
  • Added optional inclusion of MomentJS library.
  • Added optional inclusion of JavaScript patches of Redmine core for other plugins.
  • Added optional inclusion of Tiny modal windows for other plugins.

1.0.8 (2014-08-01)

Compatible with Redmine 2.5.x, 2.4.x, 2.3.x.

  • Added compatibility with other plugins.

0.0.1 (2013-10-30)

Compatible with Redmine 2.4.x, 2.3.x, 2.2.x.

User ratings

  by stephane chevalier 25 days ago

didn't work :
Query::StatementInvalid: PG::SyntaxError: ERROR: syntax error at or near "."

Rails 4.2.8
Ruby 2.4.2p198
Redmine 3.4.2
Postgres 9.6.5

  by Amit Khobragade 6 months ago

2.3.1, is not in Code Repository, still shows 2.3.0 ... :(

  by James H 8 months ago

Seems to break the "Settings" tab for all projects on 3.3.2

  by Joel Bearden over 1 year ago

messes up tabs in 3.3, works perfectly in previous versions.

  by over 2 years ago

Work for me.

  by David Miles almost 3 years ago

Very usefull for own plugin writing.

  by Tim Robman almost 3 years ago

A lot of good libraries in 1 plugin

  by Mario Silverado almost 3 years ago

Good support plugin

  by Dan K over 3 years ago

Just a libraries, but it is very useful

  by Yuri Karnilaev over 3 years ago

Ребята, вы большие молодцы.